//  Rectangle.h - a rectangle.
//
//	Vamos Automotive Simulator
//  Copyright (C) 2005 Sam Varner
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _RECTANGLE_H_
#define _RECTANGLE_H_

#include <iostream>

namespace Vamos_Geometry
{
  struct Rectangle
  {
    double left;
    double top;
    double right;
    double bottom;
    
    Rectangle (double left_in = 0.0, double right_in = 0.0, 
               double top_in = 0.0, double bottom_in = 0.0);
    
    // Enlarge the rectangle if necessary so that another rectangle is
    // completely enclosed.
    const Rectangle& enclose (const Rectangle& other);

    double aspect () const { return (right - left) / (top - bottom); }
  };

  std::ostream& operator << (std::ostream& os, const Rectangle& rectangle);
}

#endif // not _RECTANGLE_H_
